[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

New -altdev packages for libc5

I just uploaded new revisions of libc5 and ld.so for unstable that add
new libc5-altdev and libdl1-altdev packages that can coexist with
libc6-dev.  I also asked Galen Hazelwood (the gcc maintainer) to build
a new altgcc package using the 'i486-linuxlibc1' configuration that
can coexist with the libc6-based gcc package.  These new packages will
make it possible to still build libc5-based programs even with the
libc6-dev and related packages installed.  Building for libc5 with
these packages can be done by passing the '-b i486-linuxlibc1' option
to gcc, setting the CC environment variable to
/usr/i486-linuxlibc1/bin/gcc or placing /usr/i486-linuxlibc1/bin
before /usr/bin in the PATH environment variable.

I encourage other maintainers of development packages to provide
similar -altdev versions of their libc5-based packages until the
transition to libc6 is complete.  Please note that only development
files should be placed under /usr/i486-linuxlibc1.  Run-time files
should still be placed in the standard locations (/lib, /usr/lib,
etc.) if they won't conflict with their libc6 equivalents or in new
locations (/lib/libc5-compat, /usr/lib/libc5-compat, etc.) if they
will conflict.

David Engel                        ODS Networks
david@sw.ods.com                   1001 E. Arapaho Road
(972) 234-6400                     Richardson, TX  75081

TO UNSUBSCRIBE FROM THIS MAILING LIST: e-mail the word "unsubscribe" to
debian-devel-request@lists.debian.org . 
Trouble?  e-mail to templin@bucknell.edu .

Reply to: